%define tarball_name gwenview
%define hack_name gwenview_hack
%define version 1.1.5
%define release 0.2mdk

# building hack version
%define build_hack 0
%{?_with_hack: %global build_hack 1}
%if %build_hack
%define gvname %hack_name
%define gvcorename libgwenviewcore_hack
%define gvdirpartname gvdirpart_hack
%define gvimagepartname gvimagepart_hack
%define gvopt --enable-gwenview-hack
%else
%define gvname %{tarball_name}
%define gvcorename libgwenviewcore
%define gvdirpartname gvdirpart
%define gvimagepartname gvimagepart
%endif

%define name %gvname

%define major 1
%define libname %mklibname %{gvname} %major
%define libnamedev %mklibname %{gvname} %major -d

# building kipi version
%define build_kipi 1
%{?_with_nokipi: %global build_kipi 0}
%if %build_kipi
%define kipiopt --enable-kipi
%define kipireq  libkipi-devel
%endif


Summary: Simple image viewer for KDE.
Name: %name
Version: %version
Release: %release
License: GPL
Group: Graphics
Source0: http://prdownloads.sourceforge.net/gwenview/%{tarball_name}-%{version}.tar.bz2
Source1: %{hack_name}.desktop.tar.gz
Patch0:        am_edit_vars.patch.bz2
Patch1:        libhack.patch.bz2
Patch2:        gvprint.patch.bz2

URL: http://gwenview.sourceforge.net 
BuildRoot: %_tmppath/%{name}-%{version}
#  added automake1.7 requirement to patch Makefile(s).am
%if %build_kipi
BuildRequires: kdelibs-devel automake1.7 %{kipireq}
%else
BuildRequires: kdelibs-devel automake1.7
%endif


%description
Gwenview is an image viewer for KDE. 

It features a folder tree window and a file list window to provide easy 
navigation in your file hierarchy.  Image loading is done by the Qt library, 
so it supports all image formats your Qt installation supports. 

Note that gwenview_hack version is the developer one and can co-exist with
the stable one since they have different executable name.

%package -n %libname
Summary: Libraries for gwenview image viewer.
Group: System/Libraries

%description -n %libname
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to provide easy
navigation in your file hierarchy.  Image loading is done by the Qt library,
so it supports all image formats your Qt installation supports.

Note that gwenview_hack version is the developer one and can co-exist with
the stable one since they have different executable name.

%package -n %libnamedev
Summary: Devel files (gwenview image viewer)
Group: Development/Other
Requires: %libname = %version
Provides: lib%{gvname}-devel

%description -n %libnamedev
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to provide easy
navigation in your file hierarchy.  Image loading is done by the Qt library,
so it supports all image formats your Qt installation supports.

Note that gwenview_hack version is the developer one and can co-exist with
the stable one since they have different executable name.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{tarball_name}-%{version}
(
cd $RPM_BUILD_DIR/%{tarball_name}-%{version}
rm -rf autom4te.cache
tar xzvf %{SOURCE1}
cd admin
%patch0 -p0 -b .am_hack
cd ../
%patch1 -p0 -b .lib_hack
%patch2 -p1 -b .gvprint
)

%build
./configure --disable-rpath \
%if %build_hack
        %gvopt \
%else
             \
%endif
%if %build_kipi
            %kipiopt \
%else
             \
%endif
            --prefix=%_prefix \
            --libdir=%_libdir \
            --mandir=%_mandir \
            --datadir=%_datadir


%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_datadir/applnk/Multimedia/Graphics
%makeinstall 

install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl %{gvname} "Multimedia/Graphics" %buildroot/%_datadir/applications/kde/%{gvname}.desktop %buildroot/%_menudir/%{gvname}

#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/crystalsvg/48x48/apps/%{gvname}.png %buildroot/%_liconsdir
ln -s %_datadir/icons/crystalsvg/32x32/apps/%{gvname}.png %buildroot/%_iconsdir
ln -s %_datadir/icons/crystalsvg/16x16/apps/%{gvname}.png %buildroot/%_miconsdir

%if %build_hack
cd %buildroot/%_datadir/locale/
for i in `find . -name "%{tarball_name}.mo"`; do mv $i `dirname $i`/%{gvname}.mo ;done
%endif

%find_lang %{gvname}

%if %build_hack
mv %buildroot/%_datadir/locale/%{hack_name}.lang $RPM_BUILD_DIR/%tarball_name-%version/
%endif

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -f %{gvname}.lang
%defattr(-,root,root,0755)
%doc NEWS AUTHORS HACKING README TODO ChangeLog COPYING CREDITS INSTALL
%_bindir/%{gvname}
%_libdir/kde3/*
%_datadir/apps/%{gvdirpartname}/gvdirpart.rc
%_datadir/apps/%{gvimagepartname}/gvimagepart.rc
%_datadir/services/%{gvdirpartname}.desktop
%_datadir/services/%{gvimagepartname}.desktop
%_menudir/*
%_datadir/apps/konqueror/servicemenus/*
%dir %_datadir/apps/%{gvname}/
%_datadir/apps/%{gvname}/*
%_datadir/icons/crystalsvg/16x16/apps/*
%_datadir/icons/crystalsvg/22x22/apps/*
%_datadir/icons/crystalsvg/32x32/apps/*
%_datadir/icons/crystalsvg/48x48/apps/*
%_datadir/icons/crystalsvg/64x64/apps/*
%_datadir/icons/crystalsvg/128x128/apps/*
%_liconsdir/%{gvname}.png
%_iconsdir/%{gvname}.png
%_miconsdir/%{gvname}.png
%_datadir/applications/kde/%{gvname}.desktop
%_mandir/man1/%{gvname}.1.bz2

%files -n %libname
%defattr(-,root,root,0755)
%_libdir/*.so.*

%files -n %libnamedev
%defattr(-,root,root,0755)
%_libdir/*.so
%_libdir/%{gvcorename}.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Oct 09 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.5-0.2mdk
- applied Lubos Lunak's patch to avoid printing crash using Konqueror
* Mon Sep 20 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.5-0.1mdk
- new version
   *  New features:
    o The thumbnail progress bar and stop buttons are now embedded in the thumbnail view.
    o The location bar now shows the file names instead of the folders.
    o The thumbnails toolbar buttons have been moved to a specialized file view toolbar.
    o It's now possible to assign key shortcuts to KIPI plugins.
    o New manpage by Christopher Martin.
   * Fixes:
    o Do not display the folder name as an image in the status bar.
    o Make sure the folder KPart starts in the right folder.
    o Unbreak the saving of key shortcuts.
    o Remote urls are correctly bookmarked.
    o Do not try to overwrite the trash when trashing only one file.

* Sun Aug 29 2004 Angelo Naselli <random_lx@yahoo.com> 1.1.4-0.2mdk
- patch for russian language

* Tue Aug 24 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.4-0.1mdk
- changed spec file to manage -with-hack option to build gwenview with 
  hack suffix (default is without hack)
- from Aurlien Gteau:
- New features:
 - In the thumbnail view, It's now possible to sort images in reverse order.
 - Use EXIF-stored thumbnail if available.
 - Option to disable saving of generated thumbnails to cache.
 - In fullscreen mode, it's now possible to display the image comment or size
   in addition to the file path.
 - The fullscreen On-Screen-Display is more readable now.
 - The background color of the image view can be configured.
 - When printing, it's now possible to enlarge images so that they fill the
   page.
- Fixes:
 - In the folder view, pressing Enter now opens the selected folder.
 - Use icon list for the configuration dialog.
 - Avoid data loss if the JPEG images are saved while being rotated by
   JPEGTran.
 - The back button in Konqueror now works correctly with gvimagepart.
 - The default layout is more user-friendly.
 - Non-trivial URLs (e.g. http query URL) are correctly handled.
 - You can now drop images on the image view.

* Sat Jun 12 2004 Angelo Naselli <random_lx@yahoo.com> 1.1.3-0.1mdk
- new release: my wedding present :-)
   from Aurlien Gteau:
   Gwenview codenamed "Hurry up, I'm getting married tomorrow"
   *  New features:
          o You can now define custom branches in the dir view (By Craig Drummond)
          o An image cache has been added to speedup image loading.
          o Gwenview now uses freedesktop.org thumbnail spec to store thumbnails.
          o A new option to automatically empty thumbnail cache on exit (By Angelo Naselli).
          o The image size is now displayed below file names in thumbnail view.
    * Fixes:
          o Don't crash when switching to fullscreen while generating thumbnails and coming back (By Lubos Lunak)
          o Faster thumbnail generation (By Lubos Lunak)
          o Faster image painting by dynamically determining suitable paint size (By Lubos Lunak)
          o Use the "Standard Background" color as the background for thumbnails and folders (By Craig Drummond).
          o Make sure the current image is reloaded if it has been modified outside Gwenview.

* Tue Jun 1 2004 Angelo Naselli <random_lx@yahoo.com> 1.1.2-0.3mdk
- hack suffix on kpart lib

* Thu May 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-0.2mdk
- merge with changes from Angelo Naselli <random_lx@yahoo.com>

* Wed May 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-0.1mdk
- 1.1.2
- from Angelo Naselli <random_lx@yahoo.com> : 
- mdk version of the development release (1.1.1) named gwenview_hack
    from Aurlien Gteau:
    - New features:
     - Added KPart support, this installs in Konqueror a new file view mode and let you view 
       images in an embedded Gwenview (By Jonathan Riddell).
     - Asynchronous JPEG loading, based on Khtml loader.
     - Really asynchronous PNG loading (By Lubos Lunak).
     - Mouse wheel will now scroll the image by default. Holding Ctrl will scroll horizontally. 
       An option has been added to the setting dialog to toggle between scroll and browse 
       (By Jeroen Peters).
     - When holding shift over the image, right click will zoom out (By Jeroen Peters).
     - Image painting is now progressive (By Lubos Lunak).
    - Fixes:
     - The rotate and mirror functions can now work on multiple selection.
     - Make it possible to load another image or quit even if you can't save your changes.
     - Gwenview won't spawn multiple instances of jpegtran anymore.

* Sun Feb 01 2004 Angelo Naselli <random_lx@yahoo.com> 1.1.0-0.1mdk
- mdk version of the first development release (1.1.0)
    from Aurlien Gteau:
    - New features:
     - New settings in print dialog to specify how the image must be printed.
     - Big thumbnails are really BIG now.
     - First implementation of asynchronous image loading. Only for PNG right now.
    - Fixes:
     - The move and copy dialogs now use a tree view.
     - In the thumbnail view, create thumbnails for the visible images first 

* Sun Jan 11 2004 Angelo Naselli <random_lx@yahoo.com> 1.0.1-0.1mdk
- built mdk version of Gwenview 1.0.0 release
- fix icons for rpmlint
    from Aurlien Gteau:
	- New features:
	 - Double-clicking an image in the file view will open it in fullscreen.
	- Fixes:
	 - Gave contributors the credit they deserve in the about box.
	 - Updated to libexif 0.5.12 and applied patch from libexif CVS.
	 - When going to the parent folder, make sure the folder we were in before is selected.
	 - If there's no image in the current folder, select the first visible file.
	 - When holding down Shift to zoom, keep the same area of the image under the cursor.
	 - Nicer drag cursor.
	 - Hopefully fixed every cases where the image was not centered in the view.

* Mon Dec 08 2003 Angelo Naselli <random_lx@yahoo.com> 1.0.0-0.1mdk
- built mdk version of Gwenview 1.0.0 release
    from Aurlien Gteau:
    - New features:
          - Show a wait icon for not-generated-yet thumbnails (inspired from Nautilus 
            thumbnail view).
          - Show a broken icon for broken images.
    - Fixes:
          - If auto-zoom is on, make sure the zoom is updated after rotating an image.
          - Fixed crash when loading XCF images if Gwenview was compiled with gcc 3.3.1.
          - Before running an external tool, change working directory to current folder.
          - When switching images in fullscreen, don't show the cursor.
          - Use standard KDE icons for zoom actions.
          - New icons for slideshow and image operations.
          - New magnifier cursor.

* Sun Nov 16 2003 Angelo Naselli <random_lx@yahoo.com> 1.0.0-0.pre4.1mdk
- built mdk version
    from Aurlien Gteau:
   - New features 
     - Added a new option to hide the busy pointer when loading an 
       image in fullscreen.
     - Added a popup menu to select the sorting mode.
       Usefull in thumbnail view.
   - Fixes:
     - Use a KDE dialog for the configuration dialog.
     - Removed the image view mouse behavior configuration 
       options. The behavior is much simpler now: left button 
       to drag image,
     - middle button to toggle auto-zoom and mouse-wheel 
       to browse images. Ifrom Aurlien Gteauef you want to zoom hold Shift
       and use either the mouse-wheel or the left button.

* Wed Nov 05 2003 Marcel Pol <mpol@gmx.net> 1.0.0-0.pre3.2mdk
- redo changelog
- rm -rf $RPM_BUILD_ROOT in %%install instead of %%prep

* Tue Nov 04 2003 Angelo Naselli <random_lx@yahoo.com> 1.0.0-0.pre3.1mdk
- built mdk version
      - New features from Aurlien Gteau:
       - Added a "don't ask me again" check box to the save prompt dialog.
       - Added a reload button.
       - Added a "Go" button to the location toolbar.
      - Fixes:
        - Really fixed saving of external tools.
	- Make sure the folder view is updated when a folder is renamed.
	- The mouse-wheel behaviors are not messed anymore by dialogs or by 
	  showing the popup menu.

* Mon Nov 03 2003 Marcel Pol <mpol@gmx.net> 1.0.0-0.pre2.2mdk
- buildrequires
- quiet setup

* Wed Oct 22 2003 Angelo Naselli <random_lx@yahoo.com> 1.0.0-0.pre2.1mdk
- added some changes on spec file imported from 
  Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-0.pre1.1mdk

* Mon Oct 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-0.pre1.1mdk
- from Angelo Naselli <random_lx@yahoo.com> :
       - built mdk version

* Mon Oct 12 2003 Angelo Naselli <random_lx@yahoo.com> 1.0.0pre2-1mdk
- fixed some bugs on spec file
- built mdk version

* Mon Oct 6 2003 Angelo Naselli <random_lx@yahoo.com> 1.0.0pre1-2mdk
- Added print button patch

* Mon Sep 29 2003 Angelo Naselli <random_lx@yahoo.com> 1.0.0pre1-1mdk
- built mdk version

* Fri Aug 08 2003 Angelo N. <random_lx@yahoo.com>  0.17.1a-1mdk
- built mdk version

